Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-1738

Add support for configuring SwitchYard version using runtime components

    Description

    The current mechanism for specifying the SwitchYard version during project creation (and editing through properties) requires the user to specify the version without any hints. (There is a drop list that is populated from the user's local Maven repository, but that does not help if they have no SwitchYard artifacts.) A default is provided, but that is the just the latest community release, which makes things difficult for users of the product (the version may be slightly different).

    By adding support for a SwitchYard runtime component, users can choose the version based on the version installed in the runtime. This simplifies things for the user (other than they have to configure a server/runtime) and allows us to support multiple runtime versions without having to modify the tooling every time a new runtime version is released.

      Gliffy Diagrams

        Attachments

          Activity

            People

            • Assignee:
              rcernich Rob Cernich
              Reporter:
              rcernich Rob Cernich
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: